Description

The CTDirector and associated actors were removed:
Author: cxh

Date: 2011-07-26 14:55:43 -0700 (Tue, 26 Jul 2011)
New Revision: 61607

Log:
CTDirector is deprecated because ct no longer works with de. Thus, all code that uses CTDirector should be marked as deprecated
so that we avoid lots of deprecation warnings in Eclipse.

Demo workflows must be updated, and actor references removed from our tree.
E.g. the 02-LotkaVolterraPredatorPrey.xml demo is broken, it used the CTDirector and ptolemy.domains.ct.lib.Integrator actor.

History

#1 - 08/31/2012 01:47 PM - Christopher Brooks

| updated the demos to use Continous.

The affected demos were
/workflows/demos/getting-started/02-LotkaVolterraPredatorPrey.xml
/workflows/demos/SEEK/Elk_Wolf.xml
/workflows/demos/SEEK/LogisticsModel_CT_Director.xml

To update the demos, | used
ptolemy/domains/continuous/lib/ct2continuous

There were two issues with the script:
1) The solver was not updated
The workaround was to run the model and update the solver

2) The Integrator did not get hooked up properly. The input and output were connected to the old ports. This was a problem in the SEEK demos, but
not in the 02-LotkaVolterraPredatorPrey.xml
The workaround was to drag in a Continuous Integrator.

To close this bug:

The CT Director, integrator and any other actors must be removed
It would be nice if the Continuous Integrator had the Integrator icon
used with the CT Integrator.

#2 - 09/14/2012 04:12 PM - Daniel Crawl
| removed the CT Director and Integrator from the actor tree, and changed the icon for the Continuous Integrator.

| was able to run getting-started/02-LotkaVolterraPredatorPrey.xml and SEEK/EIk_Wolf.xml, but not SEEK/LogisticsModel_CT_Director.xml - the
director's ODESolver value had a set of quotes. | also had to fix the ports for Integrator.

All three workflows still had references to solvers in CT; perhaps ct2continuous could convert these? | fixed these references in the workflows.

#3 - 09/14/2012 09:22 PM - Christopher Brooks

| updated ct2continuous so that it handles converting
Jworkflows/demos/SEEK/Elk_Wolf.xml
./workflows/demos/SEEK/LogisticsModel_CT_Director.xml
In particular, the solver section is removed and the connections to
the Integrator are now correctly created. The CT Integrator has

input and output, the Continuous Integrator has derivative and state.

#4 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5701
